Package org.apache.tomcat.websocket

## Class WsExtension

- java.lang.Object
- - org.apache.tomcat.websocket.WsExtension

All Implemented Interfaces:
  `Extension`

    public class WsExtension
    extends java.lang.Object
    implements Extension

### Nested Class Summary

### Nested classes/interfaces inherited from interface javax.websocket.Extension

`Extension.Parameter`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getName()`
`java.util.List<Extension.Parameter>` `getParameters()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getName

    public java.lang.String getName()

Specified by:
  `getName` in interface `Extension`

#### getParameters

    public java.util.List<Extension.Parameter> getParameters()

Specified by:
  `getParameters` in interface `Extension`